Skip to main content
GET
/
indexer
/
nft
/
v1
/
txs
/
{collection_addr}
/
{token_id}
Get NFT transactions
curl --request GET \
  --url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/txs/{collection_addr}/{token_id}
{
  "txs": [
    {
      "txhash": "<string>",
      "height": "<string>",
      "codespace": "<string>",
      "code": 123,
      "data": "<string>",
      "raw_log": "<string>",
      "logs": [
        {}
      ],
      "info": "<string>",
      "gas_wanted": "<string>",
      "gas_used": "<string>",
      "tx": {},
      "timestamp": "<string>",
      "events": [
        {}
      ]
    }
  ],
  "pagination": {
    "previous_key": "<string>",
    "next_key": "<string>",
    "total": "<string>"
  }
}

Path Parameters

collection_addr
string
required

The collection address.

token_id
string
required

The token ID.

Query Parameters

pagination.key
string

Cursor key for pagination.

pagination.offset
integer

Number of records to skip.

pagination.limit
integer
default:100

Maximum number of records to return. Defaults to 100.

pagination.count_total
boolean
default:true

Whether to return the total count. Defaults to true.

pagination.reverse
boolean
default:true

When true, returns results in descending order. Defaults to true.

Response

200 - application/json

Successful response

txs
object[]
pagination
object

Pagination metadata for list responses.